import { ElementRef, Injector, OnDestroy, OnInit } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { AbstractLifeCycleComponent } from './../../../lib';
export declare class IntersectionDirective extends AbstractLifeCycleComponent implements OnInit, OnDestroy {
    wchIntersect: string;
    intersectRootMargin: number;
    intersectThreshold: number | number[];
    onIntersect: Observable<IntersectionObserverEntry>;
    constructor(aElement: ElementRef, aInjector: Injector);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
