import { ElementRef, EventEmitter, Injector, OnDestroy, OnInit, Renderer2, ViewContainerRef } from '@angular/core';
import { Image } from './../../../api';
import { ScaledImage } from './../../../imgutils';
import { AbstractLifeCycleComponent } from './../../../lib';
export declare class RenditionDirective extends AbstractLifeCycleComponent implements OnInit, OnDestroy {
    wchRendition: Image;
    relHeight: number;
    relWidth: number;
    imgWidth: number;
    imgHeight: number;
    onImage: EventEmitter<ScaledImage>;
    constructor(vcRef: ViewContainerRef, parentRef: ElementRef, renderer: Renderer2, aInjector: Injector);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
